Subject: RE: Should IP Security be Optional? [Was RE:draft-ietf-ipv6-cellu lar-host-00.txt -> wg last call?]

From: "Bound, Jim" <[email-masked]>
Date: Wed, 6 Mar 2002 12:14:02 -0500

Matt,

Thats what we try to do as vendors with many many different horizontal customer needs.
I have already had customers tell me they want to turn off DAD, IPsec, and not permitting RAs to send Lifetime of Zero in RFC 2462 and they don't care or are worried about Privacy RFC 3041.  

Its their choice, their risk, and their money paying for the implementation.

Other customers will say make it so a user can't turn off IPsec EVER.  That will be supported too.

Its all about choice in the market.

Yes we have a tough job but these customers keep product software engineers employed.

Sometimes in the IETF folks get over excited and think they can tell the market what to do and what and when to do stuff with our specs.  Thats an illusion and I am sure frustrating to some who are on some kind of social mission.  But I don't feel sorry for them :-----)

/jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, March 04, 2002 5:21 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RE: Should IP Security be Optional? [Was
> RE:draft-ietf-ipv6-cellu lar-host-00.txt -> wg last call?]
> 
> 
> > Therefore we feel that on size- and power-constrained
> > devices one should select the implemented security
> > mechanisms based on the requirements of the applications
> > rather than a general rule. The general rules aren't
> > very good if in the end the application RFC you were running
> > would demand something else than the general rule, or if
> > the deployment at the other end was something else.
> 
> This seems to presume that you can predict in advance all of the
> applications that a user will wish to execute on a particular 
> node. Can you
> do that?
> 
> Also, please note well that the 'deployment at the other end' won't be
> 'something else' if we get IPsec in every IPv6 node. I 
> thought that was the
> whole point....
> 
> Regards,
> Mat.
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------